API - Removing puppetclasses can't use friendly

04/29/2018 11:11 AM - Iain Walmsley

Status: Closed   

Priority: Low   

Assignee: Iain Walmsley   

Category: API   

Target version:    

Difficulty: trivial Fixed in Releases: 1.24.0

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5520

  

Description

With #22747 there's now validation on addition of Puppeclasses with the API which also allows use of friendly which is incredibly

useful. On deletion however this was omitted (also means you aren't able to ascertain with the API response that you have, in-fact,

tried to delete a valid puppetclass).

Should be able to do something like this;

-X DELETE https://foreman/api/v2/hosts/testhost/puppetclass_ids/ntp

or, indeed

-X DELETE https://foreman/api/v2/hosts/testhost/puppetclass_ids/invalid_class

response = Error

Associated revisions

Revision 0b19e884 - 08/08/2019 08:27 AM - Iain Walmsley

fixes #23440 - removing pclasses with API can't use friendly

History

#1 - 05/02/2018 03:38 PM - Iain Walmsley

Changed release - affects nightly

#2 - 05/02/2018 03:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5520 added

#3 - 08/08/2019 08:28 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/08/2019 09:01 AM - Iain Walmsley

- Status changed from Ready For Testing to Closed

Applied in changeset 0b19e8841163bafd7e4748eb98cf69d94b418a2c.
